#pragma once
#include <map>
struct M_DaySigninCFGData
{
	//ID
	int mID;
	//礼包名称
	std::string mName;
	//奖励物品ID
	std::vector<int> mItemId;
	//领取次数
	int mReceive;
	//显示图片
	std::string mShowResource;
	//价值
	int mValue;
	//类型
	int mType;
	//参数
	int mParameter;
};

class M_DaySigninCFG
{
public:
private:
	static std::auto_ptr<M_DaySigninCFG> msSingleton;
public:
	int GetCount();
	const M_DaySigninCFGData* GetData(int ID);
	const std::map<int, M_DaySigninCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_DaySigninCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_DaySigninCFGData> mMapData;
};
